.settings-bar {
    width: 300px;
    position: fixed;
    right: 0;
    top: 0;
    bottom: 0;
    padding: 20px;
    box-shadow: -5px 0 10px rgba(0, 0, 0, 0.2);
    transition: right 0.3s, background-color 0.3s;
    z-index: 1000;
    background-color: #f0f0f0;
}

.settings-bar.collapsed {
    right: -280px;
}
.toggle-button {
    position: absolute;
    left: -50px;
    top: 20px;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    background-color: #007bff;
    color: white;
    border: none;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: background-color 0.3s;
}

.toggle-button:hover {
    background-color: #0056b3;
}

.settings-content h2 {
    color: #343a40;
    margin-bottom: 20px;
}

.settings-content {
  overflow-y: auto;
  max-height: calc(100vh - 40px);
}

.settings-btn {
    background-color: #007bff;
    color: white;
    border: none;
    padding: 10px 15px;
    margin-bottom: 10px;
    border-radius: 5px;
    cursor: pointer;
    width: 100%;
    transition: background-color 0.3s;
}

.settings-btn:hover {
    background-color: #0056b3;
}

.achievements {
    margin-top: 20px;
    background-color: #e9ecef;
    padding: 10px;
    border-radius: 5px;
}

.color-picker {
    margin-top: 20px;
}
